View Issue Details

IDProjectCategoryView StatusLast Update
0000784SymmetricDSImprovementpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.2 
Target Version3.1.3Fixed in Version3.1.3 
Summary0000784: Use the NetworkInterface Java class to get the current ipAddress of a node
DescriptionInetAddress will not show all of the possible network interfaces. Changing AppUtils.getIpAddress() to use NetworkInterface. It will return the first non-loopback ipaddress that is detected.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 79cb75d9

2012-08-26 12:42:08

chenson

Details Diff
0000784: Use the NetworkInterface Java class to get the current ipAddress of a node
0000784
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/util/AppUtils.java Diff File

SymmetricDS: master 865ac990

2012-08-27 15:40:40

chenson

Details Diff
0000784: Use the NetworkInterface Java class to get the current ipAddress of a node. Make 1.5 compatible
0000784
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/util/AppUtils.java Diff File

SymmetricDS: master 0b9d11ac

2012-08-27 15:50:51

chenson

Details Diff
0000784: Use the NetworkInterface Java class to get the current ipAddress of a node. Make 1.5 compatible
0000784
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/util/AppUtils.java Diff File

Issue History

Date Modified Username Field Change
2012-08-26 12:41 chenson New Issue
2012-08-26 12:41 chenson Status new => assigned
2012-08-26 12:41 chenson Assigned To => chenson
2012-08-26 12:41 chenson Status assigned => resolved
2012-08-26 12:41 chenson Resolution open => fixed
2012-08-26 12:41 chenson Fixed in Version => 3.1.3
2012-08-28 07:55 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6216
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6224
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6225
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 0b9d11ac
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 865ac990
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 79cb75d9